﻿/*start LOADING CSS*/
.loading-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-family: Arial;
}

.spinner {
    width: 60px;
    height: 60px;
    border: 6px solid #444;
    border-top: 6px solid skyblue;
    border-radius: 50%;
    animation: spin 1s linear infinite;
    margin-bottom: 15px;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/* Loading Text Animation */

.loading-text span {
    font-size: 22px;
    color: black;
    animation: highlight 1.6s infinite;
}

    .loading-text span:nth-child(1) {
        animation-delay: 0s;
    }

    .loading-text span:nth-child(2) {
        animation-delay: 0.1s;
    }

    .loading-text span:nth-child(3) {
        animation-delay: 0.2s;
    }

    .loading-text span:nth-child(4) {
        animation-delay: 0.3s;
    }

    .loading-text span:nth-child(5) {
        animation-delay: 0.4s;
    }

    .loading-text span:nth-child(6) {
        animation-delay: 0.5s;
    }

    .loading-text span:nth-child(7) {
        animation-delay: 0.6s;
    }

    .loading-text span:nth-child(8) {
        animation-delay: 0.7s;
    }

    .loading-text span:nth-child(9) {
        animation-delay: 0.8s;
    }

    .loading-text span:nth-child(10) {
        animation-delay: 0.9s;
    }

    .loading-text span:nth-child(11) {
        animation-delay: 1s;
    }

@keyframes highlight {
    0% {
        color: black;
    }

    20% {
        color: skyblue;
    }

    100% {
        color: black;
    }
}
/*end LOADING CSS*/

